<?php
/**
 * @file
 * Facet template for Funnelback.
 */

if (!empty($facets)):
  foreach($facets as $facet):
    // Only support checkbox and radio button at the moment.
    if ($facet['guessedDisplayType'] == 'CHECKBOX' || $facet['guessedDisplayType'] == 'RADIO_BUTTON'):
      ?>
        <div class='facet'>
            <div class='facet-header'>
                <div class='facet-name'>Filter by <?php print $facet['name']; ?></div>
              <?php if ($facet['selected'] == TRUE): ?>
                  <div class='facet-clear-all'><a href="<?php print FunnelbackQueryString::funnelbackFilterSystemQueryString($facet['unselectAllUrl']); ?>">Clear all</a></div>
              <?php endif ?>
            </div>
            <div class="facet-body">
                <ul>
                  <?php foreach($facet['categories'] as $category): ?>
                    <?php foreach($category['values'] as $value): ?>
                          <li>
                            <?php switch($facet['guessedDisplayType']):
                              case 'CHECKBOX': ?>
                                  <input type="checkbox" class="facet-checkbox" <?php print $value['selected'] == TRUE ? 'checked' : ''; ?> redirect="<?php print FunnelbackQueryString::funnelbackFilterSystemQueryString($value['toggleUrl']); ?>">
                                <?php break; ?>
                              <?php case 'RADIO_BUTTON': ?>
                                    <input type="radio" class="facet-radio" <?php print $value['selected'] == TRUE ? 'checked' : ''; ?> redirect="<?php print FunnelbackQueryString::funnelbackFilterSystemQueryString($value['toggleUrl']); ?>">
                                <?php break; ?>
                              <?php endswitch; ?>
                              <a href="<?php print FunnelbackQueryString::funnelbackFilterSystemQueryString($value['toggleUrl']); ?>"><span class="facet-item-label"><?php print $value['label'] ?></span> <span class="facet-item-count"><i>(<?php print $value['count']; ?>)</i></span></a>
                          </li>
                    <?php endforeach ?>
                  <?php endforeach ?>
                </ul>
            </div>
        </div>
    <?php endif; ?>

  <?php endforeach ?>

<?php endif; ?>
